$(function () {
    $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
    $("#formValoracion").on("submit", function (e) {        
        guardarValoracion(e);
        
    });
});
$(document).ready(function () {    
    $('#valoracion-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],        
        "ajax": {
            url: "../../controller/mallaCurricular.php?op=evaluacion",
            type: "post"
            
        },        
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
});
function inicio(mallacurriculardbk) {    
    
    $('#mallacurricular').val(mallacurriculardbk);    
    $('#semana').val('1');    
    $('#lblTitulo').html('Valoración Inicial');
    $('#mantenimiento').modal('show');    
    $('#p1').val('').trigger('change');
    $('#p2').val('').trigger('change');
    $('#p3').val('').trigger('change');
    $('#p4').val('').trigger('change');
    $('#p5').val('').trigger('change');
    $('#p6').val('').trigger('change');
    $('#p7').val('').trigger('change');
    $('#p8').val('').trigger('change');
    $('#p9').val('').trigger('change');
    $('#p10').val('').trigger('change');
    $('#p11').val('').trigger('change');
    $('#p12').val('').trigger('change');
    $('#p13').val('').trigger('change');
    $('#p14').val('').trigger('change');
    $('#mejora').val('');
    $('#reconocimiento').val('');  
}
function medio(mallacurriculardbk) {    
    
    $('#mallacurricular').val(mallacurriculardbk);    
    $('#semana').val('2');    
    $('#lblTitulo').html('Valoración Inicial');
    $('#mantenimiento').modal('show');    
    $('#p1').val('').trigger('change');
    $('#p2').val('').trigger('change');
    $('#p3').val('').trigger('change');
    $('#p4').val('').trigger('change');
    $('#p5').val('').trigger('change');
    $('#p6').val('').trigger('change');
    $('#p7').val('').trigger('change');
    $('#p8').val('').trigger('change');
    $('#p9').val('').trigger('change');
    $('#p10').val('').trigger('change');
    $('#p11').val('').trigger('change');
    $('#p12').val('').trigger('change');
    $('#p13').val('').trigger('change');
    $('#p14').val('').trigger('change');
    $('#mejora').val('');
    $('#reconocimiento').val('');  
}
function fin(mallacurriculardbk) {    
    
    $('#mallacurricular').val(mallacurriculardbk);    
    $('#semana').val('3');    
    $('#lblTitulo').html('Valoración Inicial');
    $('#mantenimiento').modal('show');    
    $('#p1').val('').trigger('change');
    $('#p2').val('').trigger('change');
    $('#p3').val('').trigger('change');
    $('#p4').val('').trigger('change');
    $('#p5').val('').trigger('change');
    $('#p6').val('').trigger('change');
    $('#p7').val('').trigger('change');
    $('#p8').val('').trigger('change');
    $('#p9').val('').trigger('change');
    $('#p10').val('').trigger('change');
    $('#p11').val('').trigger('change');
    $('#p12').val('').trigger('change');
    $('#p13').val('').trigger('change');
    $('#p14').val('').trigger('change');
    $('#mejora').val('');
    $('#reconocimiento').val('');  
}
function guardarValoracion(e) {
    e.preventDefault();
    var formData = new FormData($("#formValoracion")[0]);
    $.ajax({
        url: '../../controller/evaluacion.php?op=guardarValoracion',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#valoracion-data').DataTable().ajax.reload();  
            $('#mantenimiento').modal('hide');
            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}
function eliminarClase(clasedbk) { 
    swal.fire({
        title: "Eliminar",
        text: "Desea Eliminar el Registro de manera definitiva",
        icon: "error",
        confirmButtonText: "Si",
        showCancelButton: true,
        cancelButtonText: "No",
    }).then((result) => {
        if (result.value) {
            $.post("../../controller/clases.php?op=eliminar_clase", {clasedbk: clasedbk}, function (data) {
                $('#clasesgrabadas-data').DataTable().ajax.reload();
                Swal.fire({
                    title: 'Operacion Exitosa',
                    text: 'El registro se elimino correctamente',
                    icon: 'success',
                    confirmButtonText: 'Aceptar'
                })
            });
        }
    });
}